## org.plovr.docgen
Class EnumDescriptor.Builder

    java.lang.Object
      org.plovr.docgen.EnumDescriptor.Builder

Enclosing class:
  EnumDescriptor

    public static class EnumDescriptor.Builder

extends Object

Method Summary
`void` `addValue(String name, String description)`
`EnumDescriptor` `build()`
`String` `getName()`
`void` `setDescription(String description)`
`void` `setName(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### build

    public EnumDescriptor build()

### getName

    public String getName()

### setName

    public void setName(String name)

### setDescription

    public void setDescription(String description)

### addValue

    public void addValue(String name,
                         String description)